/preview/marketing-solutions/campaigns
curl --request POST \
--url https://api.criteo.com/preview/marketing-solutions/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"type": "Campaign"
}
}
'import requests
url = "https://api.criteo.com/preview/marketing-solutions/campaigns"
payload = { "data": { "type": "Campaign" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {type: 'Campaign'}})
};
fetch('https://api.criteo.com/preview/marketing-solutions/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {
"advertiserId": "<string>",
"budgetAutomation": {
"automatedBudgetConfiguration": {},
"enabled": true
},
"id": "<string>",
"name": "<string>",
"spendLimit": {
"spendLimitAmount": {
"value": 123
}
}
},
"id": "<string>",
"type": "Campaign"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/preview/marketing-solutions/campaigns
Create the specified campaign
A campaign, or in other words a marketing campaign, is an entity that defines advertising objectives and success criteria.
POST
/
preview
/
marketing-solutions
/
campaigns
/preview/marketing-solutions/campaigns
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
the campaigns to create
Data model for an input resources
Data model for a Resource
Show child attributes
Show child attributes
Was this page helpful?
/preview/marketing-solutions/ad-sets/targeting/supply-vendors
Previous
/preview/marketing-solutions/campaigns
Next
⌘I